Bug 144684 - CAN-2004-1184 multiple security issues in enscript (CAN-2004-1185 CAN-2004-1186)
CAN-2004-1184 multiple security issues in enscript (CAN-2004-1185 CAN-2004-1186)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: enscript (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
impact=moderate,embargo=20050120
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 12:29 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 05:25:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-10 12:29:32 EST
*** This bug has been split off bug 144683 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.10
12:26 -------

This was reported to vendor-sec on 2004-01-07

Erik Sjölund has discovered several security relevant problems in
enscript, a program to converts ASCII text to Postscript and other
formats.  The Common Vulnerabilities and Exposures project identifies
the following vulnerabilities:

CAN-2004-1184

    Unsanitised input can caues the execution of arbitrary commands
    via EPSF pipe support.  This has been disabled, also upstream.

CAN-2004-1185

    Due to missing sanitising of filenames it is possible that a
    specially crafted filename can cause arbitrary commands to be
    executed.

CAN-2004-1186

    Multiple buffer overflows can cause the program to crash.
Comment 1 Josh Bressers 2005-01-10 12:29:52 EST
This issue should also affect FC2.

Note You need to log in before you can comment on or make changes to this bug.